=== modified file 'utilities/format-imports'
--- utilities/format-imports	2011-12-30 06:46:44 +0000
+++ utilities/format-imports	2012-01-01 02:59:51 +0000
@@ -152,6 +152,7 @@
 comment_regex = re.compile(
     "(?P<comment>(^#.+\n)+)(^import|^from) +(?P<module>[a-zA-Z0-9_.]+)", re.M)
 split_regex = re.compile(",\s*")
+module_base_regex = re.compile("([^. ]+)")
 
 # Module docstrings are multiline (""") strings that are not indented and are
 # followed at some point by an import .
@@ -300,7 +301,7 @@
     local_section = {}
     # Group modules into sections.
     for module, statement in imports.iteritems():
-        module_base = module.split('.')[0]
+        module_base = module_base_regex.findall(module)[0]
         comment = statement.comment
         if module_base == '_pythonpath':
             early_section[module] = statement
@@ -348,7 +349,11 @@
     imports_section = pyfile[import_start:import_end]
     imports = parse_import_statements(imports_section)
 
-    if pyfile[import_end:import_end + 1] != '#':
+    next_char = pyfile[import_end:import_end + 1]
+
+    if next_char == '':
+        number_of_newlines = 1
+    elif next_char != '#':
         # Two newlines before anything but comments.
         number_of_newlines = 3
     else:

